Duplicate a bot
curl --request POST \
--url https://api.closebot.com/bot/{id}/duplicate \
--header 'X-CB-KEY: <api-key>'import requests
url = "https://api.closebot.com/bot/{id}/duplicate"
headers = {"X-CB-KEY": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-CB-KEY': '<api-key>'}};
fetch('https://api.closebot.com/bot/{id}/duplicate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"modifiedAt": "<string>",
"modifiedBy": "<string>",
"versions": [
{
"version": "<string>",
"name": "<string>",
"published": true,
"modifiedAt": "2023-11-07T05:31:56Z",
"modifiedBy": "<string>"
}
],
"sources": [
{
"id": "<string>",
"category": "<string>",
"key": "<string>",
"name": "<string>",
"tags": [
{
"name": "<string>",
"approveDeny": true,
"id": "<string>"
}
],
"tagFilterConfig": {
"operator": "<string>",
"groups": [
{
"operator": "<string>",
"rules": [
{
"tagName": "<string>",
"tagId": "<string>",
"condition": "<string>"
}
]
}
]
},
"channelList": [
"<string>"
],
"personaNameOverride": "<string>",
"enabled": true,
"flowVariableValues": {}
}
],
"personaIds": [
"<string>"
],
"favorited": true,
"locked": true,
"reschedulingEnabled": true,
"category": "<string>",
"folderId": "<string>",
"followUpActive": true,
"followUpSequences": [
{
"order": 123,
"duration": 123,
"unit": "<string>"
}
],
"smartFollowUp": true,
"followUpRepeat": true,
"followUpVarianceMinutes": 123,
"followUpExtraPrompt": "<string>",
"tools": [
{
"id": "<string>",
"type": "<string>",
"enabled": true,
"options": {}
}
],
"followUpStates": [
{
"id": 123,
"name": "<string>",
"isDefault": true,
"sequences": [
{
"order": 123,
"duration": 123,
"unit": "<string>"
}
],
"repeatFinal": true,
"extraPrompt": "<string>",
"order": 123
}
]
}Bot
Duplicate a bot
POST
/
bot
/
{id}
/
duplicate
Duplicate a bot
Authorizations
CloseBot API Key Authorization
Path Parameters
The bot ID.
Response
Success
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

